## sigil 0.9.13.1

=== CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project( Sigil ) 

set( CMAKE_DEBUG_POSTFIX "d" )
# Avoid the whole Release/Debug folder creation with Visual Studio
if (MSVC_IDE)
   set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/bin")
   set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/bin")
   set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
   set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
endif()
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package )
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )

set( SIGIL_MAJOR_VERSION 0 )
set( SIGIL_MINOR_VERSION 9 )
set( SIGIL_REVISION_VERSION 13 )
set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )

if( UNIX AND NOT APPLE )
   # Make sure the correct rpath is set for the sigil executable
   # on Linux -- for both the build and the installed versions.
   # Needed to make sure the installed shared hunspell and gumbo
   # libraries are found/used at runtime.

   # use, i.e. don't skip the full RPATH for the build tree
   SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

   # when building, don't use the install RPATH already
   # (but later on when installing)
   SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/sigil")

   # add the automatically determined parts of the RPATH
   # which point to directories outside the build tree to the install RPATH.
   # This will ensure the Qt5 lib directory is always included after install.
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif()

# Check if platform is 64 bit
if( NOT APPLE )
   if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
     set( 64_BIT_PLATFORM 0 )
   else()
     set( 64_BIT_PLATFORM 1 )
   endif()
endif()

# Profiler configuration for GCC
if( CMAKE_COMPILER_IS_GNUCXX  )
    set( CMAKE_BUILD_TYPE profiling )
    set( CMAKE_CXX_FLAGS_PROFILING "-O2 -DNDEBUG -pg -g -fno-omit-frame-pointer -fno-inline-functions -fno-inline-functions-called-once -fno-optimize-sibling-calls" )

    # After creating the new build type,
    # we clear the default back to empty
    set( CMAKE_BUILD_TYPE  )
endif()

if (USE_SYSTEM_LIBS)
    MESSAGE(STATUS "Trying to use System Libraries...")
    find_package( ZLIB )
    find_package( PkgConfig )
    find_package( MiniZip )
    pkg_check_modules( HUNSPELL hunspell )
    if ( NOT APPLE )
        pkg_check_modules( PCRE libpcre16 )
    endif()
endif()

if ( APPLE )
    find_package(PythonInterp 3.7)
    find_package (PythonLibs 3.7)
endif()
if ( WIN32 )
    find_package(PythonInterp 3.5)
    find_package (PythonLibs 3.5)
endif()
if( UNIX AND NOT APPLE )
    find_package(PythonInterp 3.4)
    find_package (PythonLibs 3.4)
endif()

# gumbo-parser it is our main xhtml/html5 parser.
# We have an internal version because it diverges from Google's and GitHub's
# versions and neither want's our epub specific changes.
add_subdirectory( internal/gumbo )

add_subdirectory( 3rdparty/ )
add_subdirectory( src/ )

=== src/CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

#############################################################################

# Print a message and fail for people who don't
# read the build instructions and then complain
# when the build process fails for them.
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
    message( FATAL_ERROR "You are trying to run CMake from the <top_folder>/src/ directory, "
                         "instead of just from the <top_folder> directory.\nDO NOT DO THIS.\n"
                         "The correct way looks like this:\n"
                         "  cmake -G '<generator_name>' /path/to/topmost/folder/in/source/package\n"
                         "You will probably now need to first clean your build directory." )
endif()

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( Sigil )
else()
    project( sigil )
endif()

#############################################################################

if (NOT MSVC)
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        # Give gcc compilers that fall through the cracks a shot.
        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
        endif()
    else()
        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

#############################################################################

# Qt5 packages minimum version 5.4
find_package(Qt5 5.4 COMPONENTS Core Network Svg WebKit WebKitWidgets Widgets Xml XmlPatterns Concurrent PrintSupport LinguistTools)
set(CMAKE_AUTOMOC ON)

set( MAIN_FILES
    sigil_constants.h
    sigil_constants.cpp
    sigil_exception.h
    main.cpp
    )
    
set( BOOK_MANIPULATION_FILES 
    BookManipulation/Book.cpp
    BookManipulation/Book.h
    BookManipulation/BookReports.cpp
    BookManipulation/BookReports.h
    BookManipulation/Index.cpp
    BookManipulation/Index.h
    BookManipulation/CleanSource.cpp
    BookManipulation/CleanSource.h
    BookManipulation/FolderKeeper.cpp
    BookManipulation/FolderKeeper.h
    BookManipulation/Headings.cpp
    BookManipulation/Headings.h
    BookManipulation/HTMLMetadata.cpp
    BookManipulation/HTMLMetadata.h
    BookManipulation/XhtmlDoc.cpp
    BookManipulation/XhtmlDoc.h
    )

set( RESOURCE_OBJECT_FILES
    ResourceObjects/Resource.cpp
    ResourceObjects/Resource.h
    ResourceObjects/TextResource.cpp
    ResourceObjects/TextResource.h
    ResourceObjects/HTMLResource.cpp
    ResourceObjects/HTMLResource.h
    ResourceObjects/CSSResource.cpp
    ResourceObjects/CSSResource.h
    ResourceObjects/ImageResource.cpp
    ResourceObjects/ImageResource.h
    ResourceObjects/AudioResource.cpp
    ResourceObjects/AudioResource.h
    ResourceObjects/VideoResource.cpp
    ResourceObjects/VideoResource.h
    ResourceObjects/MiscTextResource.cpp
    ResourceObjects/MiscTextResource.h
    ResourceObjects/SVGResource.cpp
    ResourceObjects/SVGResource.h
    ResourceObjects/FontResource.cpp
    ResourceObjects/FontResource.h
    ResourceObjects/OPFParser.cpp
    ResourceObjects/OPFParser.h
    ResourceObjects/OPFResource.cpp
    ResourceObjects/OPFResource.h
    ResourceObjects/NavProcessor.cpp
    ResourceObjects/NavProcessor.h
    ResourceObjects/NCXResource.cpp
    ResourceObjects/NCXResource.h
    ResourceObjects/XMLResource.cpp
    ResourceObjects/XMLResource.h
    )
        
set( DIALOG_FILES
    Dialogs/About.cpp
    Dialogs/About.h
    Dialogs/AddSemantics.cpp
    Dialogs/AddSemantics.h
    Dialogs/AddMetadata.cpp
    Dialogs/AddMetadata.h
    Dialogs/ClipboardHistorySelector.h
    Dialogs/ClipboardHistorySelector.cpp
    Dialogs/DeleteFiles.cpp
    Dialogs/DeleteFiles.h
    Dialogs/DeleteStyles.cpp
    Dialogs/DeleteStyles.h
    Dialogs/EditTOC.cpp
    Dialogs/EditTOC.h
    Dialogs/OpenWithName.cpp
    Dialogs/OpenWithName.h
    Dialogs/SelectCharacter.cpp
    Dialogs/SelectCharacter.h
    Dialogs/SelectHyperlink.cpp
    Dialogs/SelectHyperlink.h
    Dialogs/SelectId.cpp
    Dialogs/SelectId.h
    Dialogs/SelectIndexTitle.cpp
    Dialogs/SelectIndexTitle.h
    Dialogs/SelectFiles.cpp
    Dialogs/SelectFiles.h
    Dialogs/MetaEditor.cpp
    Dialogs/MetaEditor.h
    Dialogs/TreeItem.cpp
    Dialogs/TreeItem.h
    Dialogs/TreeModel.cpp
    Dialogs/TreeModel.h
    Dialogs/HeadingSelector.cpp
    Dialogs/HeadingSelector.h
    Dialogs/PluginRunner.cpp
    Dialogs/PluginRunner.h
    Dialogs/Preferences.cpp
    Dialogs/Preferences.h
    Dialogs/PreferenceWidgets/AppearanceWidget.cpp
    Dialogs/PreferenceWidgets/AppearanceWidget.h
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.cpp
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.h
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.cpp
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.h
    Dialogs/PreferenceWidgets/LanguageWidget.cpp
    Dialogs/PreferenceWidgets/LanguageWidget.h
    Dialogs/PreferenceWidgets/PreferencesWidget.h
    Dialogs/PreferenceWidgets/SpellCheckWidget.cpp
    Dialogs/PreferenceWidgets/SpellCheckWidget.h
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.cpp
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.h
    Dialogs/PreferenceWidgets/PluginWidget.cpp
    Dialogs/PreferenceWidgets/PluginWidget.h
    Dialogs/RenameTemplate.cpp
    Dialogs/RenameTemplate.h
    Dialogs/Reports.cpp
    Dialogs/Reports.h
    Dialogs/ReportsWidgets/AllFilesWidget.cpp
    Dialogs/ReportsWidgets/AllFilesWidget.h
    Dialogs/ReportsWidgets/HTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/HTMLFilesWidget.h
    Dialogs/ReportsWidgets/LinksWidget.cpp
    Dialogs/ReportsWidgets/LinksWidget.h
    Dialogs/ReportsWidgets/ImageFilesWidget.cpp
    Dialogs/ReportsWidgets/ImageFilesWidget.h
    Dialogs/ReportsWidgets/CSSFilesWidget.cpp
    Dialogs/ReportsWidgets/CSSFilesWidget.h
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.cpp
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.h
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/ReportsWidget.h
    Dialogs/LinkStylesheets.cpp
    Dialogs/LinkStylesheets.h
    Dialogs/SearchEditor.cpp
    Dialogs/SearchEditor.h
    Dialogs/ClipEditor.cpp
    Dialogs/ClipEditor.h
    Dialogs/IndexEditor.cpp
    Dialogs/IndexEditor.h
    Dialogs/SpellcheckEditor.cpp
    Dialogs/SpellcheckEditor.h
    Dialogs/ViewImage.cpp
    Dialogs/ViewImage.h
    )

set( EXPORTER_FILES
    Exporters/ExportEPUB.cpp
    Exporters/ExportEPUB.h
    Exporters/Exporter.h
    Exporters/ExporterFactory.cpp
    Exporters/ExporterFactory.h
    Exporters/NCXWriter.cpp
    Exporters/NCXWriter.h
    Exporters/XMLWriter.cpp
    Exporters/XMLWriter.h
    Exporters/EncryptionXmlWriter.cpp
    Exporters/EncryptionXmlWriter.h
    )
    
set( IMPORTER_FILES
    Importers/ImportEPUB.cpp
    Importers/ImportEPUB.h
    Importers/Importer.cpp
    Importers/Importer.h
    Importers/ImporterFactory.cpp
    Importers/ImporterFactory.h
    Importers/ImportHTML.cpp
    Importers/ImportHTML.h
    Importers/ImportTXT.cpp
    Importers/ImportTXT.h
    )


# These may now be obsolete if so remove them
#    Misc/HTMLPrettyPrint.cpp
#    Misc/HTMLPrettyPrint.h
    
set( MISC_FILES    
    Misc/AppEventFilter.cpp
    Misc/AppEventFilter.h
    Misc/UpdateChecker.cpp
    Misc/UpdateChecker.h
    Misc/Utility.cpp
    Misc/Utility.h
    Misc/SleepFunctions.h
    Misc/FindReplaceQLineEdit.cpp
    Misc/FindReplaceQLineEdit.h
    Misc/FilenameDelegate.cpp
    Misc/FilenameDelegate.h
    Misc/XHTMLHighlighter.cpp
    Misc/XHTMLHighlighter.h
    Misc/CSSHighlighter.cpp
    Misc/CSSHighlighter.h
    Misc/CSSInfo.cpp
    Misc/CSSInfo.h
    Misc/HTMLEncodingResolver.cpp
    Misc/HTMLEncodingResolver.h
    Misc/HTMLSpellCheck.cpp
    Misc/HTMLSpellCheck.h
    Misc/PasteTargetComboBox.cpp
    Misc/PasteTargetComboBox.h
    Misc/PasteTarget.h
    Misc/Plugin.cpp
    Misc/Plugin.h
    Misc/PluginDB.cpp
    Misc/PluginDB.h
    Misc/QCodePage437Codec.cpp
    Misc/QCodePage437Codec.h
    Misc/RasterizeImageResource.cpp
    Misc/RasterizeImageResource.h
    Misc/SearchOperations.cpp
    Misc/SearchOperations.h
    Misc/Language.cpp
    Misc/Language.h
    Misc/DescriptiveInfo.h
    Misc/GuideItems.h
    Misc/GuideItems.cpp
    Misc/Landmarks.h
    Misc/Landmarks.cpp
    Misc/MarcRelators.cpp
    Misc/MarcRelators.h
    Misc/UILanguage.cpp
    Misc/SettingsStore.cpp
    Misc/SettingsStore.h
    Misc/SpellCheck.cpp
    Misc/SpellCheck.h
    Misc/KeyboardShortcut.cpp
    Misc/KeyboardShortcut.h
    Misc/KeyboardShortcut_p.h
    Misc/KeyboardShortcutManager.cpp
    Misc/KeyboardShortcutManager.h
    Misc/XhtmlEntitiesDtd.cpp
    Misc/Ncx20051Dtd.cpp
    Misc/FontObfuscation.cpp
    Misc/FontObfuscation.h
    Misc/TempFolder.cpp
    Misc/TempFolder.h
    Misc/OpenExternally.cpp
    Misc/OpenExternally.h
    Misc/TOCHTMLWriter.cpp
    Misc/TOCHTMLWriter.h
    Misc/NumericItem.h
    Misc/CaseInsensitiveItem.h
    Misc/ValidationResult.h
    Misc/ValidationResult.cpp
    Misc/WrapIndicator.h
    Misc/XMLEntities.cpp
    Misc/PyObjectPtr.h
    Misc/PyObjectPtr.cpp
    Misc/EmbeddedPython.h
    Misc/EmbeddedPython.cpp
    Misc/GumboInterface.h
    Misc/GumboInterface.cpp
    Misc/PythonRoutines.h
    Misc/PythonRoutines.cpp
    )

set( MISC_EDITORS_FILES    
    MiscEditors/ClipEditorModel.cpp
    MiscEditors/ClipEditorModel.h
    MiscEditors/ClipEditorTreeView.cpp
    MiscEditors/ClipEditorTreeView.h
    MiscEditors/IndexEditorModel.cpp
    MiscEditors/IndexEditorModel.h
    MiscEditors/IndexEditorTreeView.cpp
    MiscEditors/IndexEditorTreeView.h
    MiscEditors/IndexEntries.cpp
    MiscEditors/IndexEntries.h
    MiscEditors/IndexHTMLWriter.cpp
    MiscEditors/IndexHTMLWriter.h
    MiscEditors/SearchEditorTreeView.cpp
    MiscEditors/SearchEditorTreeView.h
    MiscEditors/SearchEditorModel.cpp
    MiscEditors/SearchEditorModel.h
    )

set( SPCRE_FILES
    PCRE/SPCRE.cpp
    PCRE/SPCRE.h
    PCRE/PCRECache.cpp
    PCRE/PCRECache.h
    PCRE/PCREReplaceTextBuilder.cpp
    PCRE/PCREReplaceTextBuilder.h
    )

set( VIEW_EDITOR_FILES
    ViewEditors/BookViewEditor.cpp
    ViewEditors/BookViewEditor.h
    ViewEditors/BookViewPreview.cpp
    ViewEditors/BookViewPreview.h
    ViewEditors/CodeViewEditor.cpp
    ViewEditors/CodeViewEditor.h
    ViewEditors/LineNumberArea.cpp
    ViewEditors/LineNumberArea.h
    ViewEditors/Searchable.cpp
    ViewEditors/Searchable.h
    ViewEditors/Zoomable.h 
    ViewEditors/ViewEditor.h     
    ViewEditors/ViewWebPage.cpp
    ViewEditors/ViewWebPage.h 
    )

set( MAINUI_FILES 
    MainUI/MainApplication.cpp
    MainUI/MainApplication.h
    MainUI/MainWindow.cpp
    MainUI/MainWindow.h
    MainUI/FindReplace.cpp
    MainUI/FindReplace.h
    MainUI/BookBrowser.cpp
    MainUI/BookBrowser.h
    MainUI/ClipsWindow.cpp
    MainUI/ClipsWindow.h
    MainUI/PreviewWindow.cpp
    MainUI/PreviewWindow.h
    MainUI/TableOfContents.cpp
    MainUI/TableOfContents.h
    MainUI/OPFModel.cpp

=== debian/changelog ===
sigil (0.9.13.1-1+dde) unstable; urgency=medium

  * update

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Jun 2021 15:30:28 +0800

=== debian/control ===
Source: sigil
Section: editors
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.0.0),
 debhelper-compat (= 12),
 dh-python,
 libhunspell-dev,
 libjs-jquery,
 libjs-jquery-scrollto,
 libminizip-dev,
 libpcre3-dev (>= 2:8.35-4),
 libqt5svg5-dev (>= 5.4.0),
 libqt5webkit5-dev (>= 5.4.0),
 libqt5xmlpatterns5-dev (>= 5.4.0),
 pkg-config,
 python3-dev,
 qtbase5-dev (>= 5.4.0),
 qttools5-dev (>= 5.4.0),
 qttools5-dev-tools (>= 5.4.0),
 zlib1g-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: http://sigil-ebook.com
Vcs-Git: https://salsa.debian.org/debian/sigil.git
Vcs-Browser: https://salsa.debian.org/debian/sigil

Package: sigil
Architecture: any
Depends:
 libhunspell-dev,
 libjs-jquery-scrollto,
 libjs-mathjax (>= 2.7.0),
 python3-lxml,
 sigil-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
 python3-chardet,
 python3-cssselect,
 python3-cssutils,
 python3-html5lib,
 python3-pil,
 python3-pyqt5,
 python3-regex,
 python3-six,
Description: multi-platform ebook editor
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.

Package: sigil-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 sigil (= ${source:Version}),
Description: multi-platform ebook editor - data files
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.
 .
 This package provides the architecture-independant files.

## sigil 0.9.14+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,12 @@
 
 set( SIGIL_MAJOR_VERSION 0 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 13 )
+set( SIGIL_REVISION_VERSION 14 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
+   include(GNUInstallDirs)
+
    # Make sure the correct rpath is set for the sigil executable
    # on Linux -- for both the build and the installed versions.
    # Needed to make sure the installed shared hunspell and gumbo
@@ -45,7 +47,7 @@
    # (but later on when installing)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
-   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/sigil")
+   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/sigil")
 
    # add the automatically determined parts of the RPATH
    # which point to directories outside the build tree to the install RPATH.

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -316,6 +316,8 @@
     Misc/GumboInterface.cpp
     Misc/PythonRoutines.h
     Misc/PythonRoutines.cpp
+    Misc/TextDocument.h
+    Misc/TextDocument.cpp
     )
 
 set( MISC_EDITORS_FILES    
@@ -377,5 +379,3 @@
     MainUI/PreviewWindow.cpp
     MainUI/PreviewWindow.h
     MainUI/TableOfContents.cpp
-    MainUI/TableOfContents.h
-    MainUI/OPFModel.cpp

=== debian/changelog ===
sigil (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.14+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:21:47 +0200

## sigil 0.9.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 set( SIGIL_MAJOR_VERSION 0 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 14 )
+set( SIGIL_REVISION_VERSION 18 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ########################################################
-#  
+#
 #  This is a CMake configuration file.
-#  To use it you need CMake which can be 
-#  downloaded from here: 
+#  To use it you need CMake which can be
+#  downloaded from here:
 #    http://www.cmake.org/cmake/resources/software.html
 #
 #########################################################
@@ -54,8 +54,15 @@
 
 #############################################################################
 
-# Qt5 packages minimum version 5.4
-find_package(Qt5 5.4 COMPONENTS Core Network Svg WebKit WebKitWidgets Widgets Xml XmlPatterns Concurrent PrintSupport LinguistTools)
+if( UNIX AND NOT APPLE )
+    # Qt5 packages minimum version 5.9 for Linux
+    set(QT5_NEEDED 5.9)
+else()
+    # Qt5 packages minimum version 5.12 for Mac/Windows
+    set(QT5_NEEDED 5.12)
+endif()
+find_package(Qt5 ${QT5_NEEDED} COMPONENTS Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools)
+
 set(CMAKE_AUTOMOC ON)
 
 set( MAIN_FILES
@@ -64,8 +71,8 @@
     sigil_exception.h
     main.cpp
     )
-    
-set( BOOK_MANIPULATION_FILES 
+
+set( BOOK_MANIPULATION_FILES
     BookManipulation/Book.cpp
     BookManipulation/Book.h
     BookManipulation/BookReports.cpp
@@ -116,7 +123,7 @@
     ResourceObjects/XMLResource.cpp
     ResourceObjects/XMLResource.h
     )
-        
+
 set( DIALOG_FILES
     Dialogs/About.cpp
     Dialogs/About.h
@@ -204,6 +211,8 @@
     Dialogs/SpellcheckEditor.h
     Dialogs/ViewImage.cpp
     Dialogs/ViewImage.h
+    Dialogs/Inspector.cpp
+    Dialogs/Inspector.h
     )
 
 set( EXPORTER_FILES
@@ -219,7 +228,7 @@
     Exporters/EncryptionXmlWriter.cpp
     Exporters/EncryptionXmlWriter.h
     )
-    
+
 set( IMPORTER_FILES
     Importers/ImportEPUB.cpp
     Importers/ImportEPUB.h
@@ -233,12 +242,7 @@
     Importers/ImportTXT.h
     )
 
-
-# These may now be obsolete if so remove them
-#    Misc/HTMLPrettyPrint.cpp
-#    Misc/HTMLPrettyPrint.h
-    
-set( MISC_FILES    
+set( MISC_FILES
     Misc/AppEventFilter.cpp
     Misc/AppEventFilter.h
     Misc/UpdateChecker.cpp
@@ -269,8 +273,6 @@
     Misc/PluginDB.h
     Misc/QCodePage437Codec.cpp
     Misc/QCodePage437Codec.h
-    Misc/RasterizeImageResource.cpp
-    Misc/RasterizeImageResource.h
     Misc/SearchOperations.cpp
     Misc/SearchOperations.h
     Misc/Language.cpp
@@ -283,6 +285,7 @@
     Misc/MarcRelators.cpp
     Misc/MarcRelators.h
     Misc/UILanguage.cpp
+    Misc/UILanguage.h
     Misc/SettingsStore.cpp
     Misc/SettingsStore.h
     Misc/SpellCheck.cpp
@@ -308,6 +311,7 @@
     Misc/ValidationResult.cpp
     Misc/WrapIndicator.h
     Misc/XMLEntities.cpp
+    Misc/XMLEntities.h
     Misc/PyObjectPtr.h
     Misc/PyObjectPtr.cpp
     Misc/EmbeddedPython.h
@@ -320,7 +324,7 @@
     Misc/TextDocument.cpp
     )
 
-set( MISC_EDITORS_FILES    
+set( MISC_EDITORS_FILES
     MiscEditors/ClipEditorModel.cpp
     MiscEditors/ClipEditorModel.h
     MiscEditors/ClipEditorTreeView.cpp
@@ -349,23 +353,23 @@
     )
 
 set( VIEW_EDITOR_FILES
-    ViewEditors/BookViewEditor.cpp
-    ViewEditors/BookViewEditor.h
-    ViewEditors/BookViewPreview.cpp
-    ViewEditors/BookViewPreview.h
     ViewEditors/CodeViewEditor.cpp
     ViewEditors/CodeViewEditor.h
+    ViewEditors/WebEngPage.cpp
+    ViewEditors/WebEngPage.h
+    ViewEditors/ViewPreview.cpp
+    ViewEditors/ViewPreview.h
     ViewEditors/LineNumberArea.cpp
     ViewEditors/LineNumberArea.h
     ViewEditors/Searchable.cpp
     ViewEditors/Searchable.h
-    ViewEditors/Zoomable.h 
-    ViewEditors/ViewEditor.h     
-    ViewEditors/ViewWebPage.cpp
-    ViewEditors/ViewWebPage.h 
-    )
-
-set( MAINUI_FILES 
+    ViewEditors/Zoomable.h
+    ViewEditors/ElementIndex.h
+    ViewEditors/ViewEditor.h
+    ViewEditors/Viewer.h
+     )
+
+set( MAINUI_FILES
     MainUI/MainApplication.cpp
     MainUI/MainApplication.h
     MainUI/MainWindow.cpp

=== debian/changelog ===
sigil (0.9.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.18+dfsg.
  * Update copyright.
  * Recommend python3-css-parser, which replaced the embedded old code copy.
  * d/rules: Remove code dealing with the removed copy of python-css-parser.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 06 Sep 2019 15:23:11 +0200

sigil (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.17+dfsg.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 10 Aug 2019 16:46:35 +0200

sigil (0.9.16+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.16+dfsg.
    + Fix a Zip directory traversal vulnerability.
      Closes: #933797; CVE-2019-14452
  * d/control: Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 14:02:35 +0200

sigil (0.9.15+dfsg-1) experimental; urgency=medium

  * New upstream version 0.9.15+dfsg.
  * d/control: Update dependencies, move from qtwebkit to qtwebengine.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:31:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
  libjs-jquery-scrollto,
  libminizip-dev,
  libpcre3-dev (>= 2:8.35-4),
- libqt5svg5-dev (>= 5.4.0),
- libqt5webkit5-dev (>= 5.4.0),
- libqt5xmlpatterns5-dev (>= 5.4.0),
+ libqt5svg5-dev (>= 5.9.4),
+ libqt5xmlpatterns5-dev (>= 5.9.4),
  pkg-config,
  python3-dev,
- qtbase5-dev (>= 5.4.0),
- qttools5-dev (>= 5.4.0),
- qttools5-dev-tools (>= 5.4.0),
+ qtbase5-dev (>= 5.9.4),
+ qttools5-dev (>= 5.9.4),
+ qttools5-dev-tools (>= 5.9.4),
+ qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -40,6 +40,7 @@
 Recommends:
  python3,
  python3-chardet,
+ python3-css-parser,
  python3-cssselect,
  python3-cssutils,
  python3-html5lib,

## sigil 1.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,9 @@
 set( PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package )
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
-set( SIGIL_MAJOR_VERSION 0 )
-set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 18 )
+set( SIGIL_MAJOR_VERSION 1 )
+set( SIGIL_MINOR_VERSION 1 )
+set( SIGIL_REVISION_VERSION 0 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -139,10 +139,18 @@
     Dialogs/DeleteStyles.h
     Dialogs/EditTOC.cpp
     Dialogs/EditTOC.h
+    Dialogs/EmptyLayout.cpp
+    Dialogs/EmptyLayout.h
     Dialogs/OpenWithName.cpp
     Dialogs/OpenWithName.h
+    Dialogs/RERenamer.cpp
+    Dialogs/RERenamer.h
+    Dialogs/RETable.cpp
+    Dialogs/RETable.h
     Dialogs/SelectCharacter.cpp
     Dialogs/SelectCharacter.h
+    Dialogs/SelectFolder.cpp
+    Dialogs/SelectFolder.h
     Dialogs/SelectHyperlink.cpp
     Dialogs/SelectHyperlink.h
     Dialogs/SelectId.cpp
@@ -322,6 +330,8 @@
     Misc/PythonRoutines.cpp
     Misc/TextDocument.h
     Misc/TextDocument.cpp
+    Misc/MediaTypes.cpp
+    Misc/MediaTypes.h
     )
 
 set( MISC_EDITORS_FILES
@@ -357,6 +367,8 @@
     ViewEditors/CodeViewEditor.h
     ViewEditors/WebEngPage.cpp
     ViewEditors/WebEngPage.h
+    ViewEditors/SimplePage.cpp
+    ViewEditors/SimplePage.h
     ViewEditors/ViewPreview.cpp
     ViewEditors/ViewPreview.h
     ViewEditors/LineNumberArea.cpp
@@ -371,15 +383,3 @@
 
 set( MAINUI_FILES
     MainUI/MainApplication.cpp
-    MainUI/MainApplication.h
-    MainUI/MainWindow.cpp
-    MainUI/MainWindow.h
-    MainUI/FindReplace.cpp
-    MainUI/FindReplace.h
-    MainUI/BookBrowser.cpp
-    MainUI/BookBrowser.h
-    MainUI/ClipsWindow.cpp
-    MainUI/ClipsWindow.h
-    MainUI/PreviewWindow.cpp
-    MainUI/PreviewWindow.h
-    MainUI/TableOfContents.cpp

=== debian/changelog ===
sigil (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.1.0
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Feb 2020 18:39:11 +0100

sigil (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg.  Closes: #947056
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.0.0
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Dec 2019 15:50:17 +0100

sigil (0.9.991+dfsg-1) experimental; urgency=medium

  * New upstream alpha version 0.9.991+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/0.9.991
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Nov 2019 18:41:11 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with python3

override_dh_auto_configure:
	ln -svf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/src/Resource_Files/javascript/jquery-2.2.4.min.js
	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Resource_Files/javascript/jquery.scrollTo-2.1.2-min.js
	dh_auto_configure -- \
		-DUSE_SYSTEM_LIBS=1 \
		-DSYSTEM_LIBS_REQUIRED=1 \
		-DINSTALL_BUNDLED_DICTS=0 \
		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \

override_dh_install:
	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --no-ext-rename

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/([\d\.]+).tar\.gz|releases/download/$1/Sigil-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/Sigil/releases /Sigil-Ebook/Sigil/archive/v?(\d\S*)@ARCHIVE_EXT@

## sigil 1.3.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 1 )
+set( SIGIL_MINOR_VERSION 3 )
 set( SIGIL_REVISION_VERSION 0 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
@@ -86,8 +86,8 @@
 endif()
 
 if ( APPLE )
-    find_package(PythonInterp 3.7)
-    find_package (PythonLibs 3.7)
+    find_package(PythonInterp 3.8)
+    find_package (PythonLibs 3.8)
 endif()
 if ( WIN32 )
     find_package(PythonInterp 3.5)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,9 @@
 
 #############################################################################
 
+# quiet Qt 5.15 deprecat4ed warnings for now as we must support Qt 5.12.X and even earlier
+add_definitions(-DQT_NO_DEPRECATED_WARNINGS)
+
 if( UNIX AND NOT APPLE )
     # Qt5 packages minimum version 5.9 for Linux
     set(QT5_NEEDED 5.9)
@@ -61,7 +64,12 @@
     # Qt5 packages minimum version 5.12 for Mac/Windows
     set(QT5_NEEDED 5.12)
 endif()
-find_package(Qt5 ${QT5_NEEDED} COMPONENTS Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools)
+
+set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
+if ( WIN32 )
+    list( APPEND PKGS_TO_FIND WinExtras )
+endif()
+find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
 
 set(CMAKE_AUTOMOC ON)
 
@@ -141,14 +149,27 @@
     Dialogs/EditTOC.h
     Dialogs/EmptyLayout.cpp
     Dialogs/EmptyLayout.h
+    Dialogs/ManageRepos.cpp
+    Dialogs/ManageRepos.h
     Dialogs/OpenWithName.cpp
     Dialogs/OpenWithName.h
+    Dialogs/RepoLog.cpp
+    Dialogs/RepoLog.h
+    Dialogs/ChgViewer.cpp
+    Dialogs/ChgViewer.h
+    Dialogs/SourceViewer.cpp
+    Dialogs/SourceViewer.h
+    Dialogs/ListSelector.h
+    Dialogs/CPCompare.cpp
+    Dialogs/CPCompare.h
     Dialogs/RERenamer.cpp
     Dialogs/RERenamer.h
     Dialogs/RETable.cpp
     Dialogs/RETable.h
     Dialogs/SelectCharacter.cpp
     Dialogs/SelectCharacter.h
+    Dialogs/SelectCheckpoint.cpp
+    Dialogs/SelectCheckpoint.h
     Dialogs/SelectFolder.cpp
     Dialogs/SelectFolder.h
     Dialogs/SelectHyperlink.cpp
@@ -219,8 +240,27 @@
     Dialogs/SpellcheckEditor.h
     Dialogs/ViewImage.cpp
     Dialogs/ViewImage.h
+    Dialogs/ViewAV.cpp
+    Dialogs/ViewAV.h
+    Dialogs/ViewFont.cpp
+    Dialogs/ViewFont.h
     Dialogs/Inspector.cpp
     Dialogs/Inspector.h
+    )
+
+set( WIDGET_FILES
+    Widgets/ImageView.cpp
+    Widgets/ImageView.h
+    Widgets/AVView.cpp
+    Widgets/AVView.h
+    Widgets/FontView.cpp
+    Widgets/FontView.h
+    Widgets/Navigator.h
+    Widgets/Navigator2.h
+    Widgets/TextView.cpp
+    Widgets/TextView.h
+    Widgets/TVLineNumberArea.cpp
+    Widgets/TVLineNumberArea.h
     )
 
 set( EXPORTER_FILES
@@ -255,6 +295,8 @@
     Misc/AppEventFilter.h
     Misc/UpdateChecker.cpp
     Misc/UpdateChecker.h
+    Misc/URLInterceptor.cpp
+    Misc/URLInterceptor.h
     Misc/Utility.cpp
     Misc/Utility.h
     Misc/SleepFunctions.h
@@ -268,6 +310,7 @@
     Misc/CSSHighlighter.h
     Misc/CSSInfo.cpp
     Misc/CSSInfo.h
+    Misc/DiffRec.h
     Misc/HTMLEncodingResolver.cpp
     Misc/HTMLEncodingResolver.h
     Misc/HTMLSpellCheck.cpp
@@ -283,6 +326,8 @@
     Misc/QCodePage437Codec.h
     Misc/SearchOperations.cpp
     Misc/SearchOperations.h
+    Misc/SigilDarkStyle.cpp
+    Misc/SigilDarkStyle.h
     Misc/Language.cpp
     Misc/Language.h
     Misc/DescriptiveInfo.h
@@ -332,6 +377,8 @@
     Misc/TextDocument.cpp
     Misc/MediaTypes.cpp
     Misc/MediaTypes.h
+    Misc/TagAtts.cpp
+    Misc/TagAtts.h
     )
 
 set( MISC_EDITORS_FILES
@@ -339,47 +386,3 @@
     MiscEditors/ClipEditorModel.h
     MiscEditors/ClipEditorTreeView.cpp
     MiscEditors/ClipEditorTreeView.h
-    MiscEditors/IndexEditorModel.cpp
-    MiscEditors/IndexEditorModel.h
-    MiscEditors/IndexEditorTreeView.cpp
-    MiscEditors/IndexEditorTreeView.h
-    MiscEditors/IndexEntries.cpp
-    MiscEditors/IndexEntries.h
-    MiscEditors/IndexHTMLWriter.cpp
-    MiscEditors/IndexHTMLWriter.h
-    MiscEditors/SearchEditorTreeView.cpp
-    MiscEditors/SearchEditorTreeView.h
-    MiscEditors/SearchEditorModel.cpp
-    MiscEditors/SearchEditorModel.h
-    )
-
-set( SPCRE_FILES
-    PCRE/SPCRE.cpp
-    PCRE/SPCRE.h
-    PCRE/PCRECache.cpp
-    PCRE/PCRECache.h
-    PCRE/PCREReplaceTextBuilder.cpp
-    PCRE/PCREReplaceTextBuilder.h
-    )
-
-set( VIEW_EDITOR_FILES
-    ViewEditors/CodeViewEditor.cpp
-    ViewEditors/CodeViewEditor.h
-    ViewEditors/WebEngPage.cpp
-    ViewEditors/WebEngPage.h
-    ViewEditors/SimplePage.cpp
-    ViewEditors/SimplePage.h
-    ViewEditors/ViewPreview.cpp
-    ViewEditors/ViewPreview.h
-    ViewEditors/LineNumberArea.cpp
-    ViewEditors/LineNumberArea.h
-    ViewEditors/Searchable.cpp
-    ViewEditors/Searchable.h
-    ViewEditors/Zoomable.h
-    ViewEditors/ElementIndex.h
-    ViewEditors/ViewEditor.h
-    ViewEditors/Viewer.h
-     )
-
-set( MAINUI_FILES
-    MainUI/MainApplication.cpp

=== debian/changelog ===
sigil (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.3.0
  * d/control: Bump debhelper compat level to 13.
  * d/rules:
    + Drop now unneeded dh_missing override, covered by dh 13.
    + Drop -as-needed linker flag, it's default in the newest toolchain.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Jul 2020 18:21:42 +0200

sigil (1.2.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add a dependency on python3-dulwich, to be able to use the checkpoint
      feature.  Closes: #955586
    + Drop now unneeded Build-Dependencies on libqt5(svg|xmlpatterns)5-dev.
      Thanks to Mihai Limbasan for the report.  Closes: #955584

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 03 Apr 2020 11:46:56 +0200

sigil (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.0
  * New upstream version 1.2.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.1

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Apr 2020 16:27:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake (>= 3.0.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libhunspell-dev,
  libjs-jquery,
  libjs-jquery-scrollto,
  libminizip-dev,
  libpcre3-dev (>= 2:8.35-4),
- libqt5svg5-dev (>= 5.9.4),
- libqt5xmlpatterns5-dev (>= 5.9.4),
  pkg-config,
  python3-dev,
  qtbase5-dev (>= 5.9.4),
@@ -32,6 +30,7 @@
  libhunspell-dev,
  libjs-jquery-scrollto,
  libjs-mathjax (>= 2.7.0),
+ python3-dulwich (>= 0.19),
  python3-lxml,
  sigil-data (= ${source:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with python3
@@ -16,12 +15,8 @@
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
-override_dh_install:
+execute_before_dh_install:
 	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_python3:
 	dh_python3 --no-ext-rename

## sigil 1.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 3 )
-set( SIGIL_REVISION_VERSION 0 )
+set( SIGIL_MINOR_VERSION 4 )
+set( SIGIL_REVISION_VERSION 3 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,11 @@
 set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
 if ( WIN32 )
     list( APPEND PKGS_TO_FIND WinExtras )
+    if ( USE_ALT_ICONS )
+        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_alt/app.ico" )
+    else()
+        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_orig/app.ico" )
+    endif()
 endif()
 find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
 
@@ -293,6 +298,8 @@
 set( MISC_FILES
     Misc/AppEventFilter.cpp
     Misc/AppEventFilter.h
+    Misc/AsciiFy.cpp
+    Misc/AsciiFy.h
     Misc/UpdateChecker.cpp
     Misc/UpdateChecker.h
     Misc/URLInterceptor.cpp
@@ -315,6 +322,8 @@
     Misc/HTMLEncodingResolver.h
     Misc/HTMLSpellCheck.cpp
     Misc/HTMLSpellCheck.h
+    Misc/HTMLSpellCheckML.cpp
+    Misc/HTMLSpellCheckML.h
     Misc/PasteTargetComboBox.cpp
     Misc/PasteTargetComboBox.h
     Misc/PasteTarget.h
@@ -373,16 +382,3 @@
     Misc/GumboInterface.cpp
     Misc/PythonRoutines.h
     Misc/PythonRoutines.cpp
-    Misc/TextDocument.h
-    Misc/TextDocument.cpp
-    Misc/MediaTypes.cpp
-    Misc/MediaTypes.h
-    Misc/TagAtts.cpp
-    Misc/TagAtts.h
-    )
-
-set( MISC_EDITORS_FILES
-    MiscEditors/ClipEditorModel.cpp
-    MiscEditors/ClipEditorModel.h
-    MiscEditors/ClipEditorTreeView.cpp
-    MiscEditors/ClipEditorTreeView.h

=== debian/changelog ===
sigil (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.3+dfsg
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 Dec 2020 17:15:27 +0100

sigil (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.2
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Nov 2020 19:11:53 +0100

sigil (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.1

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Nov 2020 18:08:45 +0100

sigil (1.4.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.4.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.0
  * d/control: Suggest. the new package "pageedit".
  * d/rules: Install the new hicolor icons.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 17:21:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -47,6 +47,8 @@
  python3-pyqt5,
  python3-regex,
  python3-six,
+Suggests:
+ pageedit,
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 		-DUSE_SYSTEM_LIBS=1 \
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
+		-DINSTALL_HICOLOR_ICONS=1 \
 		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
 execute_before_dh_install:
